Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.resource
Class ResourceIDBuilder<T extends ResourceID>

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>

All Implemented Interfaces
  Serializable, Cloneable

Direct Known Subclasses:
  com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder

    public class ResourceIDBuilder<T extends ResourceID>

extends Object
implements Serializable, Cloneable

Parses and builds a `ResourceID`.

See Also
  Serialized Form

Nested Class Summary
`protected static class` | `ResourceIDBuilder.ParseContext` Context for parsing a resource URN.

Constructor Summary
`ResourceIDBuilder()` Constructor.
`ResourceIDBuilder(ResourceType resourceType)` Constructor.

Method Summary
`ResourceIDBuilder<T>` | `clone()` Create a clone of this `ResourceIDBuilder`.
`protected ResourceIDBuilder.ParseContext` | `createParseContext(String resourceURN)` Create a `ParseContext` for the given URN.
`T` | `createResourceID()` Create the `ResourceID`.
`ResourceType` | `getExpectedResourceType()`
`ResourceType` | `getResourceType()` Get the `ResourceType`.
`String` | `getResourceURN()` Get the URN of the referrent resource.
`protected void` | `parseResourcePath(ResourceIDBuilder.ParseContext parseContext)` Parse the resource path of from specified URN.
`protected void` | `parseResourceTypeNamespaceURI(ResourceIDBuilder.ParseContext parseContext)` Parse the namespace URI of the resource type from the specified URN.
`protected void` | `parseResourceURN(ResourceIDBuilder.ParseContext parseContext)` Parse the specified URN.
`ResourceIDBuilder<T>` | `parseResourceURN(String resourceURN)` Parse the given URN.
`void` | `reset()` Reset the state of this `ResourceIDBuilder`.
`protected ResourceType` | `resolveResourceType(String namespaceURI)` Resolve the `ResourceType` for the given namespace URI.
`protected void` | `setExpectedResourceType(ResourceType resourceType)`
`void` | `setResourceType(ResourceType resourceType)` Change the `ResourceType`.
`protected void` | `setResourceURN(String resourceURN)` Change the URN of the referrent resource.
`String` | `toString()` Get a string representation of the `ResourceID`.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceIDBuilder

    public ResourceIDBuilder()

  Constructor.

### ResourceIDBuilder

    public ResourceIDBuilder(ResourceType resourceType)

  Constructor.

Method Detail

### getExpectedResourceType

    public final ResourceType getExpectedResourceType()

### clone

    public ResourceIDBuilder<T> clone()
                                                  throws CloneNotSupportedException

  Create a clone of this `ResourceIDBuilder`.

  Overrides:
    `clone` in class `Object`
  Returns
    a clone of this `ResourceIDBuilder`
  Throws
    `CloneNotSupportedException`

### parseResourceURN

    public ResourceIDBuilder<T> parseResourceURN(String resourceURN)

  Parse the given URN.

  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### createParseContext

    protected ResourceIDBuilder.ParseContext createParseContext(String resourceURN)

  Create a `ParseContext` for the given URN.

  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    a `ParseContext` for the given URN

### parseResourceURN

    protected void parseResourceURN(ResourceIDBuilder.ParseContext parseContext)

  Parse the specified URN.

  Parameters
    `parseContext` - the `ParseContext`

### parseResourceTypeNamespaceURI

    protected void parseResourceTypeNamespaceURI(ResourceIDBuilder.ParseContext parseContext)

  Parse the namespace URI of the resource type from the specified URN.

  Parameters
    `parseContext` - the `ParseContext`

### resolveResourceType

    protected ResourceType resolveResourceType(String namespaceURI)

  Resolve the `ResourceType` for the given namespace URI.

  Returns
    the `ResourceType` for the given namespace URI

### parseResourcePath

    protected void parseResourcePath(ResourceIDBuilder.ParseContext parseContext)

  Parse the resource path of from specified URN.

  Parameters
    `parseContext` - the `ParseContext`

### getResourceURN

    public final String getResourceURN()

  Get the URN of the referrent resource.

  Returns
    the URN of the referrent resource or `null` if the URN must be computed

### setResourceURN

    protected final void setResourceURN(String resourceURN)

  Change the URN of the referrent resource.

  Parameters
    `resourceURN` - the URN of the referrent resource or `null` if the URN must be computed

### getResourceType

    public final ResourceType getResourceType()

  Get the `ResourceType`.

  Returns
    the `ResourceType`

### setResourceType

    public final void setResourceType(ResourceType resourceType)

  Change the `ResourceType`.

  Parameters
    `resourceType` - the `ResourceType`

### setExpectedResourceType

    protected void setExpectedResourceType(ResourceType resourceType)

### createResourceID

    public T createResourceID()

  Create the `ResourceID`.

  Returns
    the `ResourceID`

### reset

    public void reset()

  Reset the state of this `ResourceIDBuilder`.

### toString

    public String toString()

  Get a string representation of the `ResourceID`.

  Overrides:
    `toString` in class `Object`
  Returns
    a string representation of the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.